# Class goog.labs.testing.HasPropertyMatcher

code »

All implemented interfaces:
  `goog.labs.testing.Matcher`

The HasProperty matcher.

## Constructor

goog.labs.testing.HasPropertyMatcher ( property )

Parameters

property: `string`
  Name of the property to test.

Show:PublicProtectedPrivate

## Instance Methods

code » describe ( actualObject ) ⇒ `string`

Parameters

actualObject

code » matches ( actualObject ) ⇒ `boolean`

Determines if an object has a property.

Parameters

actualObject

## Instance Properties

code » property_ : `string`